Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples
Class AgentTestSeeing

    java.lang.Object
      sema.Element
          sema.Agent
              modelling.SeeingAgent
                  examples.AgentTestSeeing

All Implemented Interfaces:
  java.lang.Comparable, Vision

public class AgentTestSeeing
extends SeeingAgent

Highlights the circle of his vison radius; is bound to a fixed element by a

Nested Class Summary
`protected class` | `AgentTestSeeing.FirstEvent`

Nested classes inherited from class sema.Agent
`Agent.Action`

Nested classes inherited from class sema.Element
`Element.ElementEvent`

Field Summary

Fields inherited from class sema.Element
`id`

Constructor Summary
`AgentTestSeeing(World world, Area area, float delay, java.awt.Image image)`

Method Summary
`void` | `draw()` Draws the element.
`void` | `drawVision()`

Methods inherited from class modelling.SeeingAgent
`canSee, getAreaOfVision, getLineVision, getName, getVisionRadius, watch, watchFor, watchForNearest, watchNearest`

Methods inherited from class sema.Agent
`acceptAction, getDelay, registerAction, setDelay, unregisterAction`

Methods inherited from class sema.Element
`canTake, compareTo, death, getArea, getDrawingPriority, getHeight, getIcon, getImage, getKind, getProperties, highlight, highlight, isMarked, kill, setDrawingPriority, setHeight, setKind, setMarked, setProperties, toString, union`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AgentTestSeeing

    public AgentTestSeeing(World world,
                           Area area,
                           float delay,
                           java.awt.Image image)

Method Detail

### draw

    public void draw()

  Description copied from class: `Element`
  Draws the element.

  Overrides:
    `draw` in class `Element`
  See Also:
    `Drawing`

### drawVision

    public void drawVision()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD